#include <iostream>
#include <vector>

using namespace std;

int main()
{

    int n;
    cin>>n;
    int b1;
    int b=0;
    int a;
    vector <int> x(n);
    vector <int> y(n);
    vector <int> z(n);
    
    for (int i=0; i<n; i++){
        cin>>a;
        x[i]=a;
    }
    for (int i=0; i<n; i++){
        cin>>a;
        y[i]=a;
    }
    for (int i=0; i<n; i++){
        cin>>a;
        z[i]=a;
    }
    
    for (int i=0; i<n; i++){
        for (int j=0; j<n; j++){
            b1=0;
            for (int g=0; g<n; g++){
                if (j+1==z[g]){
                    b1+=1;
                }
            }
            if (x[i]==y[j] && b1>=0){
                b+=b1;
            }
        }
    }
    cout<<b;
    return 0;
}